actions: []
api_documentation: http://docs.ros.org/en/noetic/api/abb_irb1200_gazebo/html
authors: Stephan Wirth, Lucas Chiesa, Levi Armstrong (SwRI), G.A. vd. Hoorn (TU Delft
  Robotics Institute)
brief: ''
bugtracker: https://github.com/ros-industrial/abb/issues
depends:
- abb_irb1200_support
- catkin
- controller_manager
- effort_controllers
- gazebo_ros
- gazebo_ros_control
- gazebo_ros_pkgs
- joint_state_controller
- joint_trajectory_controller
- position_controllers
- robot_state_publisher
- xacro
depends_on: []
description: "<p>\n      ROS-Industrial Gazebo support package for the ABB IRB 1200\
  \ (and variants).\n    </p>\n    <p>\n      This package contains the configuration\
  \ data and launch files required\n      to simulate the ABB IRB 1200 manipulator\
  \ in Gazebo. This currently only\n      includes the 5/0.9 variant.\n    </p>\n\
  \    <p>\n      `ros_control` `effort_controllers` are used to move the robot joints.\n\
  \      The controller parameters (PID, constrains) are guesstimates, and were\n\
  \      obtained testing different values until the joint movement was good enough\n\
  \      for the intended application. You may need to change them for your simulation.\n\
  \    </p>\n    <p>\n      Before using any of the configuration files included in\
  \ this package, be\n      sure to check they are correct for the particular robot\
  \ model and\n      configuration you intend to use them with.\n    </p>"
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__abb__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__abb__ubuntu_focal_amd64
has_changelog_rst: true
license: Apache-2.0
maintainer_status: maintained
maintainers: ROS-Industrial community <noreply@rosindustrial.org>
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__abb_irb1200_gazebo__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__abb_irb1200_gazebo__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__abb_irb1200_gazebo__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__abb_irb1200_gazebo__ubuntu_focal_arm64__binary
repo_name: abb
repo_url: https://github.com/ros-industrial/abb
srvs: []
timestamp: 1744279291.8584752
url: http://wiki.ros.org/abb
vcs: git
vcs_uri: https://github.com/ros-industrial/abb.git
vcs_version: noetic
